from rest_framework import serializers
from beers.models import Beer, BeerProducer, BeerStyle


class BeerSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = Beer
        fields = "__all__"
        
class BeerProducerSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = BeerProducer
        fields = "__all__"

class BeerStyleSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = BeerStyle
        fields = "__all__"
